Ribbon (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class Ribbon

    java.lang.Object
      com.bbn.openmap.geo.Ribbon

    public class Ribbon

extends java.lang.Object

Represents 3 points across great circle, see RibbonIterator.

The three points, are

- LEFT, a point radius radians to the left of the great circle.
- CENTER, a point on the great circle.
- RIGHT, a point radius radians to the right of the great circle.

Field Summary
`static int` | `CENTER`
`static int` | `LEFT`
`static int` | `RIGHT`

Constructor Summary
`Ribbon(Geo x, Geo gc, double radius)` Create a Ribbon at the point x along the great circle who's normal is gc, and radius is the distance apart in radians.

Method Summary
`Geo` | `get(int which)` Get the Geo for the Ribbon.
`static Ribbon` | `getEmpty()` Call for RibbonIterator to create empty Ribbon when weird parameters are passed in.
`double` | `getLatitude(int which)`
`double` | `getLongitude(int which)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### CENTER

    public static final int CENTER

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

Constructor Detail

### Ribbon

    public Ribbon(Geo x,
                  Geo gc,
                  double radius)

  Create a Ribbon at the point x along the great circle who's normal is gc, and radius is the distance apart in radians.

Method Detail

### get

    public Geo get(int which)

  Get the Geo for the Ribbon.

  Parameters:
    `which` - LEFT, RIGHT or CENTER
  Returns:
    Geo

### getLatitude

    public double getLatitude(int which)

  Parameters:
    `which` - LEFT, RIGHT or CENTER
  Returns:
    latitude of Geo.

### getLongitude

    public double getLongitude(int which)

  Parameters:
    `which` - LEFT, RIGHT or CENTER
  Returns:
    longitude of Geo

### getEmpty

    public static Ribbon getEmpty()

  Call for RibbonIterator to create empty Ribbon when weird parameters are passed in.

  Returns:
    empty Ribbon.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details